#!/bin/sh
# For MAC OS : This script will display items.
# For details of how to configure this script visit https://help.anaplan.com/anapedia/Content/Downloads/DL_Downloads.html
# Refer to this Anapedia page for information on Items: https://help.anaplan.com/52d76cdd-2571-4400-8f34-b15dd5651b9f-Line-items


AnaplanUser="username:password"
WorkspaceId="workspace id"
ModelId="model id"
ListId="list id"
ServiceUrl="https://api.anaplan.com"
AuthUrl="https://auth.anaplan.com"
OutputPath="json file path"

Operation="-debug -service ${ServiceUrl} -auth ${AuthUrl} -workspace ${WorkspaceId} -model ${ModelId} -list ${ListId} -execute:all -get:json ${OutputPath}"
#____________________________ Do not edit below this line ______________________________

if [ "${AnaplanUser}" ]; then
  Credentials="-user ${AnaplanUser}"
fi

echo cd "`dirname "$0"`"
cd "`dirname "$0"`"
if [ ! -f ../AnaplanClient.sh ]; then
  echo "Please ensure this script is in the same directory as AnaplanClient.sh." >&2
  exit 1
elif [ ! -x ../AnaplanClient.sh ]; then
  echo "Please ensure you have executable permissions on AnaplanClient.sh." >&2
  exit 1
fi

Command="../AnaplanClient.sh ${Credentials} ${Operation} "
/bin/echo "${Command}"
exec /bin/sh -c "${Command}"