#!/bin/sh
# For MAC OS : This script will display all views.
# For details of how to configure this script visit https://help.anaplan.com/anapedia/Content/Downloads/DL_Downloads.html
# Refer to this Anapedia page for information on Views: https://help.anaplan.com/b208ed3b-c958-4a55-94db-c297bc7c95cb-Subsidiary-views


AnaplanUser="Username:Password"
ServiceUrl="https://api.anaplan.com"
AuthUrl="https://auth.anaplan.com"


Operation="-debug -service ${ServiceUrl} -auth ${AuthUrl} -V"

#____________________________ Do not edit below this line ______________________________

if [ "${AnaplanUser}" ]; then
  Credentials="-user ${AnaplanUser}"
fi

echo cd "`dirname "$0"`"
cd "`dirname "$0"`"
if [ ! -f ../AnaplanClient.sh ]; then
  echo "Please ensure this script is in the same directory as AnaplanClient.sh." >&2
  exit 1
elif [ ! -x ../AnaplanClient.sh ]; then
  echo "Please ensure you have executable permissions on AnaplanClient.sh." >&2
  exit 1
fi

Command="../AnaplanClient.sh ${Credentials} ${Operation} "
/bin/echo "${Command}"
@echo %Command%
exec /bin/sh -c "${Command}"