#!/bin/sh
# For MAC OS : This script will list all workspaces and all models.
# For details of how to configure this script visit https://help.anaplan.com/anapedia/Content/Downloads/DL_Downloads.html
# Refer to this Anapedia page for information on Workspaces: https://help.anaplan.com/625ac3bf-3858-4b68-ada8-704b5ecf88e4-Workspaces
# Refer to this Anapedia page for information on model: https://help.anaplan.com/6d742812-f1c7-4296-a504-651b1c8086f3-Model-building-recommendations

AnaplanUser="Username:Password"
ServiceUrl="https://api.anaplan.com"
AuthUrl="https://auth.anaplan.com"

Operation_workspaces="-debug -service ${ServiceUrl} -auth ${AuthUrl} -W -M"

#____________________________ Do not edit below this line ______________________________

if [ "${AnaplanUser}" ]; then
  Credentials="-user ${AnaplanUser}"
fi

echo cd "`dirname "$0"`"
cd "`dirname "$0"`"
if [ ! -f ../AnaplanClient.sh ]; then
  echo "Please ensure this script is in the same directory as AnaplanClient.sh." >&2
  exit 1
elif [ ! -x ../AnaplanClient.sh ]; then
  echo "Please ensure you have executable permissions on AnaplanClient.sh." >&2
  exit 1
fi

Command="../AnaplanClient.sh ${Credentials} ${Operation_workspaces} "
/bin/echo "${Command}"
/bin/sh -c "${Command}"
